{
  "name": "chmhub",
  "private": true,
  "version": "1.0.0",
  "main": "",
  "scripts": {
    "clean": "rimraf dist/*",
    "build": "npm run clean && webpack --progress --bail --env dist -p",
    "lint": "eslint ./src",
    "lint-fix": "eslint ./src --fix",
    "lint-sass": "sass-lint -c .sass-lint.yml 'src/styles/**/*.scss' -v -q",
    "posttest": "npm run lint",
    "reinstall": "rimraf node_modules && rm -f package-lock.json && npm install",
    "serve:dev": "webpack-dev-server --open --env dev",
    "serve:dist": "webpack-dev-server --open --env dist -p --progress",
    "start": "npm run serve:dev",
    "sass": "node-sass --include-path ./node_modules --include-path ./public sass/main.scss src/main.css && blessc -f src/main.css"
  },
  "dependencies": {
    "@devexpress/dx-react-core": "^1.0.2",
    "@devexpress/dx-react-grid": "^1.0.2",
    "@sketchpixy/rubix": "^2.9.18",
    "axios": "^0.17.1",
    "bless": "^3.0.3",
    "classnames": "~2.2.5",
    "code-point-at": "^1.1.0",
    "cookies": "^0.7.1",
    "core-js": "~2.4.0",
    "datatables": "^1.10.13",
    "datatables.net": "^1.10.16",
    "datatables.net-responsive": "^2.2.1",
    "datatables.net-responsive-dt": "^2.1.1",
    "dateformat": "^3.0.2",
    "echarts": "^3.6.1",
    "element-resize-event": "^2.0.9",
    "express": "^4.15.3",
    "font-awesome": "~4.7.0",
    "formsy-material-ui": "^0.6.3",
    "formsy-react": "^0.18.0",
    "fs": "^0.0.1-security",
    "history": "^4.6.1",
    "intl-locales-supported": "^1.0.0",
    "jquery": "^3.2.1",
    "jquery-slimscroll": "~1.3.8",
    "material-ui": "0.18.5",
    "material-ui-autocomplete-google-places": "^2.2.0",
    "material-ui-datatables": "^0.18.1",
    "material-ui-geosuggest": "^0.7.1",
    "material-ui-places": "^1.1.7",
    "mime": "^1.3.6",
    "moment": "^2.19.4",
    "p-map": "^1.1.1",
    "prop-types": "^15.5.10",
    "qs": "^6.5.0",
    "ramda": "^0.25.0",
    "rc-queue-anim": "^1.0.4",
    "react": "^15.5.4",
    "react-cookie": "^2.1.2",
    "react-data-components": "^1.1.1",
    "react-dom": "^15.5.4",
    "react-draggable": "^3.0.5",
    "react-geosuggest": "^2.5.0",
    "react-geosuggest-sw": "^1.4.13",
    "react-google-maps": "^7.2.0",
    "react-helmet": "^5.1.3",
    "react-hot-loader": "^3.0.0-beta.6",
    "react-imgix": "^7.1.1",
    "react-jquery-datatables": "^0.7.1",
    "react-materialui-notifications": "^0.5.1",
    "react-places-autocomplete": "^5.4.2",
    "react-redux": "^5.0.5",
    "react-router": "^3.0.4",
    "react-router-redux": "^4.0.8",
    "react-tap-event-plugin": "^2.0.1",
    "react-websocket": "^2.0.0",
    "redux": "^3.7.1",
    "tablesaw": "^3.0.3"
  },
  "devDependencies": {
    "autoprefixer": "^7.1.1",
    "babel-core": "^6.24.1",
    "babel-eslint": "^7.2.3",
    "babel-loader": "^7.0.0",
    "babel-plugin-istanbul": "^4.1.4",
    "babel-plugin-transform-decorators-legacy": "^1.3.4",
    "babel-plugin-transform-object-rest-spread": "^6.23.0",
    "babel-polyfill": "^6.23.0",
    "babel-preset-airbnb": "^2.0.0",
    "babel-preset-es2015-native-modules": "^6.6.0",
    "babel-preset-react": "^6.24.1",
    "babel-preset-stage-0": "^6.24.1",
    "babel-preset-stage-1": "^6.24.1",
    "babel-preset-stage-2": "^6.24.1",
    "bootstrap": "~4.0.0-alpha.6",
    "copy-webpack-plugin": "^4.0.1",
    "css-loader": "^0.28.4",
    "eslint": "^3.19.0",
    "eslint-config-airbnb": "^15.0.2",
    "eslint-loader": "^1.7.1",
    "eslint-plugin-import": "^2.7.0",
    "eslint-plugin-jsx-a11y": "^5.1.1",
    "eslint-plugin-react": "^7.1.0",
    "file-loader": "^0.11.2",
    "glob": "^7.1.2",
    "node-sass": "^4.5.3",
    "null-loader": "^0.1.1",
    "phantomjs-prebuilt": "^2.1.7",
    "postcss-loader": "^2.0.5",
    "rimraf": "^2.6.1",
    "sass-lint": "^1.10.2",
    "sass-loader": "^6.0.5",
    "style-loader": "^0.18.2",
    "url-loader": "^0.5.8",
    "webpack": "^3.1.0",
    "webpack-dev-server": "^2.4.5"
  },
  "engines": {
    "node": ">=6.9.0",
    "npm": ">= 3"
  }
}
